Subject: Re: bug#32835: Icecat is missing fonts (on foreign distro)

From: Julien Lepiller <[email-masked]>
Date: Tue, 25 Sep 2018 10:36:20 +0200

Le 2018-09-25 09:04, Björn Höfling a écrit :
> I was curious about the new IceCat 60 and it's CSS problem, so I tried
> to install it.
> 
> I'm on on Ubuntu+Guix:
> 
>  guix --version
> guix (GNU Guix) a68b45142373dd75bc96f9c4f8151bcd4e972888
> 
> installed it in a separate profile:
> 
> guix package -p guix-test-profile -i icecat
> 
> Then started it:
> 
> guix-test-profile/bin/icecat
> 
> On the command line, it showed one message (is this relevant or just
> part of the usual Gtk-Noise?):
> 
> Gtk-Message: 08:50:02.414: Failed to load module "canberra-gtk-module"
> 
> When Icecat is up, it looks "normal" and can be used normally [the
> more images a site uses, the better the user experience is :-)], just
> that ALL letters are just boxes with numbers in them (i.e. what you
> usually see only partially when some wired UTF-sign is not installed).
> 
> As this is not related to the CSS-Problem, I open a new bug.
> 
> Screenshot attached.
> 
> Björn

 From a foreign distro, with "guix system --ad-hoc icecat -- icecat", I 
can
read text normally.